<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--CSS -->
    <link th:href="@{/css/lightpick.css}" rel="stylesheet" type="text/css">

    <!--<link  href="https://cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.css" rel="stylesheet">-->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
    <script th:src="@{/js/lightpick.js}" type="text/javascript"></script>
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('admin')"></div>

    <!--CAROUSEL-->
    <!--<div th:replace="fragments/layout :: carousel-sm"></div>-->

    <main id="main" class="container-fluid container-lg mt-2">
        <div class="d-lg-flex">
            <div class="p-2">
                <div th:replace="fragments/layout :: adminSideNav('borrows')"></div>
            </div>

            <div class="flex-grow-1 p-2">

                <!--HEADING-->
                <div class="d-flex flex-wrap">
                    <h3 class="pb-2">Výpůjčky</h3>
                    <div class="ml-auto mt-auto">
                        <a th:href="@{/admin/borrow/new}"
                           class="btn btn-sm btn-success mb-2 float-right">
                            <i class="fas fa-plus"></i>
                            Nová výpůjčka
                        </a>
                    </div>
                </div>

                <!--ALERTS-->
                <div th:replace="fragments/layout :: alerts"></div>

                <!--filtrace-->
                <form method="get" id="filterForm" th:action="@{/admin/borrows}">

                    <input type="hidden" id="filterPageNumber" name="page"
                           th:value="${(param.page == null) ? 0 : param.page}">

                    <div class="bg-light border p-2 mb-2 row no-gutters" th:fragment="borrowsFilter">

                        <!--VYPŮJČENO-->
                        <div class="px-1 col-12 col-sm-4 col-xl-3">
                            <label class="mb-1" for="createDate" th:text="${isReservations} ? 'Vytvořeno:' : 'Vypůjčeno:'">Vypůjčeno:</label>
                            <div th:replace="fragments/filter :: singleRangePicker('createDate', ${createDate})"></div>
                        </div>

                        <!--OD - DO-->
                        <div class="px-1 col-12 col-sm-4 col-xl-3">
                            <label class="mb-1 mt-2 mt-sm-0" for="fromDate">Od - Do:</label>
                            <div th:replace="fragments/filter :: singleRangePicker('fromToDate', ${fromToDate})"></div>
                        </div>

                        <!--USER NAME-->
                        <div class="px-1 col-12 col-sm-4 col-xl-2">
                            <label class="mb-1 mt-2 mt-sm-0" for="userName">Zákazník:</label>
                            <input id="userName" name="userName" type="text" th:value="${param.userName}"
                                   class="form-control form-control-sm">
                        </div>

                        <!--PRODUCT NAME-->
                        <div class="px-1 col-12 col-sm-4 col-xl-2">
                            <label class="mb-1 mt-2 mt-xl-0" for="userName">Produkt:</label>
                            <input id="productName" name="productName" type="text" th:value="${param.productName}"
                                   class="form-control form-control-sm">
                        </div>

                        <div class="col-12 col-sm mt-auto pt-2 text-right">
                            <button class="btn btn-sm btn-orange px-3" type="submit"
                                    onclick="$('#filterPageNumber').val(0);">
                                Filtrovat
                            </button>
                        </div>
                    </div>
                </form>

                <div th:fragment="borrowListWithPage(borrows, pageNumber, pageCount)">
                    <div th:fragment="borrowList(borrows)">
                        <div id="notFoundMessage" class="alert alert-warning show" role="alert"
                             th:if="${#lists.isEmpty(borrows)}">
                            <span>Nepodařilo se najít žádnou výpůjčku</span>
                        </div>

                        <!--TABLE-->
                        <div class="table-responsive">
                            <table class="table table-hover" th:if="${not #lists.isEmpty(borrows)}">
                                <thead>
                                <tr>
                                    <th scope="col" class="py-1"
                                        th:text="${isReservations} ? 'Vytvořeno' : 'Vypůjčeno'">Vytvořeno
                                    </th>
                                    <th scope="col" class="py-1">Od</th>
                                    <th scope="col" class="py-1">Do</th>
                                    <th scope="col" class="py-1">Zákazník</th>
                                    <th scope="col" class="py-1">Produkt</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="borrow : ${borrows}">
                                    <td th:text="${borrow.getFormatCreateDate()}"
                                        th:onclick="'redirectTo(\'' + @{/admin/borrow/detail/} + ${borrow.id} + '\')'"></td>
                                    <td th:text="${borrow.getFormatFromDate()}"
                                        th:onclick="'redirectTo(\'' + @{/admin/borrow/detail/} + ${borrow.id} + '\')'"></td>
                                    <td th:text="${borrow.getFormatToDate()}"
                                        th:onclick="'redirectTo(\'' + @{/admin/borrow/detail/} + ${borrow.id} + '\')'"></td>
                                    <td th:text="${borrow.user.getFullName()}"
                                        th:onclick="'redirectTo(\'' + @{/admin/borrow/detail/} + ${borrow.id} + '\')'"></td>
                                    <td th:text="${borrow.product.name}"
                                        th:onclick="'redirectTo(\'' + @{/admin/borrow/detail/} + ${borrow.id} + '\')'"></td>
                                    <td>
                                        <div class="btn-group float-right" role="group">
                                            <!--RETURN-->
                                            <a class="btn btn-sm btn-outline-orange px-3" th:if="${!borrow.reservation}"
                                               data-toggle="tooltip" data-placement="bottom" title="vrátit produkt"
                                               th:href="@{/admin/borrow/return/} + ${borrow.id} + '?list=true'"
                                               th:attr="data-conf-0=${borrow.product.name}"
                                               onclick="return confirmWithData('Opravdu chcete vrátit produkt {0}?', this);">
                                                <i class="fas fa-exchange-alt"></i>
                                            </a>
                                            <!--BORROW-->
                                            <a class="btn btn-sm btn-outline-orange px-3" th:if="${borrow.reservation}"
                                               data-toggle="tooltip" data-placement="bottom" title="vytvořit výpůjčku"
                                               th:href="@{/admin/reservation/borrow?reservId=} + ${borrow.id}"
                                               onclick="return confirm('Opravdu chcete z rezervace vytvořit výpůjčku?');">
                                                <i class="far fa-clock"></i>
                                            </a>
                                            <!--EDIT-->
                                            <a class="btn btn-sm btn-outline-success"
                                               data-toggle="tooltip" data-placement="bottom" title="upravit"
                                               th:href="@{/admin/borrow/edit/} + ${borrow.id}">
                                                <i class="fas fa-pen"></i>
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>

                            <script>

                            </script>

                        </div>
                    </div>

                    <!--PAGGING-->
                    <nav aria-label="Page navigation example" th:if="${pageCount > 1}">
                        <ul class="pagination pagination-sm pagination-orange ml-2">
                            <li class="page-item" th:classappend="${(pageNumber == 0) ? 'disabled' : ''}">
                                <a class="page-link" href="#" th:onclick="'redirectToPage(' + ${pageNumber - 1} + ');'"
                                   aria-label="Previous">

                                    <span aria-hidden="true">&laquo;</span>
                                </a>
                            </li>
                            <li class="page-item" th:each="i : ${#numbers.sequence(1, pageCount)}"
                                th:classappend="${(i == pageNumber + 1) ? 'active' : ''}">
                                <a class="page-link" href="#" th:onclick="'redirectToPage(' + ${i - 1} + ');'"
                                   th:text="${i}">1</a>
                            </li>
                            <li class="page-item" th:classappend="${(pageNumber == (pageCount - 1)) ? 'disabled' : ''}">
                                <a class="page-link" href="#" th:onclick="'redirectToPage(' + ${pageNumber + 1} + ');'"
                                   aria-label="Next">
                                    <span aria-hidden="true">&raquo;</span>
                                </a>
                            </li>
                        </ul>
                    </nav>
                </div>

            </div>
        </div>
    </main>
</div>

<div th:replace="fragments/layout :: footer"></div>

</body>
</html>